assertTrue(isinstance()) in tests should be replace with assertIsInstance()

Bug #1268480 reported by lizheming on 2014-01-13
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Barbican
Fix Released
Undecided
Shuquan Huang
Ceilometer
Low
lizheming
Cinder
Wishlist
Shuquan Huang
CloudRoast
Low
M V P Nitesh
Glance
Undecided
wanghong
Glance Client
Undecided
wanghong
Manila
Undecided
Shuquan Huang
Mistral
Undecided
LiuNanke
Monasca
Fix Released
Undecided
LiuNanke
Murano
Undecided
LiuNanke
OpenStack Compute (nova)
Undecided
Marcos Lobo
OpenStack DBaaS (Trove)
Low
yapeng Yang
OpenStack Dashboard (Horizon)
Wishlist
Marcos Lobo
OpenStack Heat
Fix Released
Undecided
Bertrand Lallau
OpenStack Identity (keystone)
Low
Marcos Lobo
OpenStack Object Storage (swift)
Undecided
Unassigned
OpenStack SDK
Fix Released
Undecided
LiuNanke
Rally
Undecided
algerwang
Sahara
Fix Released
Low
yapeng Yang
Vitrage
Fix Released
Undecided
Sharat Sharma
anvil
Undecided
sumit
congress
Undecided
Shuquan Huang
networking-powervm
Undecided
sumit
neutron
Undecided
ZongKai LI
python-ceilometerclient
Low
Liusheng
python-cinderclient
Undecided
Liusheng
python-heatclient
Invalid
Undecided
sumit
python-keystoneclient
Low
ZhiQiang Fan
python-manilaclient
Undecided
LiuNanke
python-novaclient
Low
lizheming
python-openstackclient
Invalid
Undecided
sumit
python-rackclient
Undecided
sumit
tempest
Undecided
Jordan Pittier
zaqar
Undecided
Sharat Sharma

Bug Description

some of tests use different method of assertTrue(isinstance(A, B)) or assertEqual(type(A), B). The correct way is to use assertIsInstance(A, B) provided by testtools

lizheming (lizheming-li) on 2014-01-13
Changed in nova:
assignee: nobody → lizheming (lizheming-li)
Changed in cinder:
assignee: nobody → lizheming (lizheming-li)
Changed in neutron:
assignee: nobody → lizheming (lizheming-li)
Changed in ceilometer:
assignee: nobody → lizheming (lizheming-li)
wanghong (w-wanghong) on 2014-01-13
Changed in glance:
assignee: nobody → wanghong (w-wanghong)
Changed in keystone:
assignee: nobody → wanghong (w-wanghong)
lizheming (lizheming-li) on 2014-01-13
no longer affects: cinder
Changed in python-novaclient:
assignee: nobody → lizheming (lizheming-li)
Changed in keystone:
assignee: wanghong (w-wanghong) → Marcos Lobo (marcos-fermin-lobo)

Fix proposed to branch: master
Review: https://review.openstack.org/66317

Changed in keystone:
status: New → In Progress
Changed in python-novaclient:
status: New → In Progress
importance: Undecided → Low

Fix proposed to branch: master
Review: https://review.openstack.org/66799

Changed in glance:
status: New → In Progress
Liusheng (liusheng) on 2014-01-17
Changed in cinder:
assignee: nobody → Liusheng (liusheng)
Changed in python-ceilometerclient:
assignee: nobody → Liusheng (liusheng)
Changed in python-cinderclient:
assignee: nobody → Liusheng (liusheng)
ZhiQiang Fan (aji-zqfan) on 2014-01-17
Changed in heat:
assignee: nobody → ZhiQiang Fan (aji-zqfan)
no longer affects: heat
ZhiQiang Fan (aji-zqfan) on 2014-01-17
Changed in python-keystoneclient:
assignee: nobody → ZhiQiang Fan (aji-zqfan)
Liusheng (liusheng) on 2014-01-17
Changed in horizon:
assignee: nobody → Liusheng (liusheng)
ZhiQiang Fan (aji-zqfan) on 2014-01-17
Changed in ironic:
assignee: nobody → ZhiQiang Fan (aji-zqfan)

Fix proposed to branch: master
Review: https://review.openstack.org/67409

Changed in python-keystoneclient:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/67420

Changed in ironic:
status: New → In Progress
Changed in nova:
assignee: lizheming (lizheming-li) → Marcos Lobo (marcos-fermin-lobo)

Fix proposed to branch: master
Review: https://review.openstack.org/67464

Changed in nova:
status: New → In Progress
Changed in horizon:
assignee: Liusheng (liusheng) → Marcos Lobo (marcos-fermin-lobo)

Fix proposed to branch: master
Review: https://review.openstack.org/67473

Changed in horizon:
status: New → In Progress
Changed in cinder:
importance: Undecided → Wishlist
status: New → Opinion

I've reviewed this issue on neutron and I haven't found assertTrue(isinstance(A, B)) or assertEqual(type(A), B) on the tests code. So, I think neutron is not affected by this issue.

Fix proposed to branch: master
Review: https://review.openstack.org/67608

Changed in ceilometer:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/67640

Changed in python-cinderclient:
status: New → In Progress
Changed in python-ceilometerclient:
status: New → In Progress

Reviewed: https://review.openstack.org/66799
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=3d03291df88a2a95e0cfb9ae8bb0b7a56ce1b846
Submitter: Jenkins
Branch: master

commit 3d03291df88a2a95e0cfb9ae8bb0b7a56ce1b846
Author: wanghong <email address hidden>
Date: Wed Jan 15 18:58:33 2014 +0800

    Change assertTrue(isinstance()) by optimal assert

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A, B)
    provided by testtools.

    Change-Id: Ia8d38f73c159c7ef943a8f6cfe72b945cc493947
    Closes-bug: #1268480

Changed in glance:
status: In Progress → Fix Committed
lizheming (lizheming-li) on 2014-01-19
Changed in neutron:
status: New → Invalid
David Lyle (david-lyle) on 2014-01-20
Changed in horizon:
importance: Undecided → Wishlist
gordon chung (chungg) on 2014-01-20
Changed in python-ceilometerclient:
importance: Undecided → Low
Changed in ceilometer:
importance: Undecided → Low
Dolph Mathews (dolph) on 2014-01-20
Changed in keystone:
importance: Undecided → Low

Reviewed: https://review.openstack.org/67420
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=f1c1e3ef17027884db340ecba313993fb6761df1
Submitter: Jenkins
Branch: master

commit f1c1e3ef17027884db340ecba313993fb6761df1
Author: ZhiQiang Fan <email address hidden>
Date: Fri Jan 17 18:30:11 2014 +0800

    Replace assertTrue with explicit assertIsInstance

    assertIsInstance can provide useful message when test fails,
    this patch replaces assertTrue(isinstance(x, y)) with
    assertIsInstance(x, y).

    Change-Id: Ia87b6b8d15f96ce7cf4082fc5ec599ade1d8114e
    Closes-Bug: #1268480

Changed in ironic:
status: In Progress → Fix Committed
Changed in ironic:
importance: Undecided → Low

Reviewed: https://review.openstack.org/66748
Committed: https://git.openstack.org/cgit/openstack/python-novaclient/commit/?id=40e433469d9a26396320b0e9f605b6041b79d2a1
Submitter: Jenkins
Branch: master

commit 40e433469d9a26396320b0e9f605b6041b79d2a1
Author: lizheming <email address hidden>
Date: Wed Jan 15 10:42:19 2014 +0800

    assertTrue(isinstance) replace by assertIsInstance

    some of tests use different method of assertTrue(isinstance(A, B))
    or assertEqual(type(A), B). The correct way is to use
    assertIsInstance(A, B) provided by testtools

    Closes-Bug: #1268480
    Change-Id: Ie3b3e49ea3cc4357a65605ad54ff4ee1fbde12c7

Changed in python-novaclient:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-01-22
Changed in glance:
milestone: none → icehouse-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-01-22
Changed in ironic:
milestone: none → icehouse-2
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/67409
Committed: https://git.openstack.org/cgit/openstack/python-keystoneclient/commit/?id=e0ce9bd8c84db41d37b7df4f56a5bff09ce5b3c0
Submitter: Jenkins
Branch: master

commit e0ce9bd8c84db41d37b7df4f56a5bff09ce5b3c0
Author: ZhiQiang Fan <email address hidden>
Date: Fri Jan 17 17:40:38 2014 +0800

    Replace assertTrue with explicit assertIsInstance

    assertIsInstance can provide useful message when test fails,
    this patch replaces assertTrue(isinstance(x, y)) with
    assertIsInstance(x, y).

    Change-Id: I1a36b4f343c881b6690389753270d35599b758ab
    Closes-Bug: #1268480

Changed in python-keystoneclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/67641
Committed: https://git.openstack.org/cgit/openstack/python-ceilometerclient/commit/?id=8744c636c1cb8924edd1f3a1e7d3dab467e23ad0
Submitter: Jenkins
Branch: master

commit 8744c636c1cb8924edd1f3a1e7d3dab467e23ad0
Author: ls1175 <email address hidden>
Date: Sat Jan 18 15:21:31 2014 +0800

    replace assertTrue(isinstance) to assertIsInstance

    some of tests use different method of assertTrue(isinstance(A, B))
    or assertEqual(type(A), B). The correct way is to use
    assertIsInstance(A, B) provided by testtools

    Change-Id: Idd931d27b13a46800e27393a98da096d41442320
    Closes-bug: #1268480

Changed in python-ceilometerclient:
status: In Progress → Fix Committed
Changed in ceilometer:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/67608
Committed: https://git.openstack.org/cgit/openstack/ceilometer/commit/?id=f9381c656eafdc054e6af4b84a50097aa6dabb45
Submitter: Jenkins
Branch: master

commit f9381c656eafdc054e6af4b84a50097aa6dabb45
Author: lizheming <email address hidden>
Date: Sat Jan 18 09:16:38 2014 +0800

    assertTrue(isinstance) replace by assertIsInstance

    some of tests use different method of assertTrue(isinstance(A, B))
    or assertEqual(type(A), B). The correct way is to use
    assertIsInstance(A, B) provided by testtools

    Change-Id: I7072fef7fe5f76e526fc0ccca7a4894accaae80f
    Closes-Bug: #1268480

Dolph Mathews (dolph) on 2014-02-03
Changed in python-keystoneclient:
importance: Undecided → Low
Dolph Mathews (dolph) on 2014-02-03
Changed in python-keystoneclient:
milestone: none → 0.5.0
Dolph Mathews (dolph) on 2014-02-03
Changed in python-keystoneclient:
status: Fix Committed → Fix Released
gordon chung (chungg) on 2014-02-06
Changed in ceilometer:
milestone: none → icehouse-3
Changed in horizon:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/66317
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=02da1ce99e2c11e44a689ee525f483a0fca6991c
Submitter: Jenkins
Branch: master

commit 02da1ce99e2c11e44a689ee525f483a0fca6991c
Author: Marcos Lobo <email address hidden>
Date: Mon Jan 13 13:31:27 2014 +0100

    Change assertTrue(isinstance()) by optimal assert

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.

    Change-Id: I8426ee1f6387602660f2d768883d18ab2f04c6f0
    Closes-bug: #1268480

Changed in keystone:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/67464
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=d5e8f1af673dcf9e0bb543dcd9e4910c2bdd2384
Submitter: Jenkins
Branch: master

commit d5e8f1af673dcf9e0bb543dcd9e4910c2bdd2384
Author: Marcos Lobo <email address hidden>
Date: Fri Jan 17 14:52:25 2014 +0100

    Change assertTrue(isinstance()) by optimal assert

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.

    Change-Id: I4a5413f9d90d2e581044885a440a46bf3d76598f
    Closes-Bug: #1268480

Changed in nova:
status: In Progress → Fix Committed
Changed in nova:
milestone: none → icehouse-3

Hi,
Thanks for the comments. I have updated - https://review.openstack.org/#/c/33956/
Just out of interest why was https://review.openstack.org/#/c/61753/ deferred. It is really a pity for this one as it is so close.
Thanks
Gary

melanie witt (melwitt) wrote :

novaclient 2.16.0 released on 2/26/2014

Changed in python-novaclient:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-03-05
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-03-05
Changed in horizon:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Changed in keystone:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-03-05
Changed in ceilometer:
status: Fix Committed → Fix Released
wanghong (w-wanghong) on 2014-03-06
Changed in python-glanceclient:
assignee: nobody → wanghong (w-wanghong)

Fix proposed to branch: master
Review: https://review.openstack.org/78542

Changed in python-glanceclient:
status: New → In Progress

Reviewed: https://review.openstack.org/67640
Committed: https://git.openstack.org/cgit/openstack/python-cinderclient/commit/?id=0ff5d1cdc615a17c3faf4e728f0bce2f5baf5209
Submitter: Jenkins
Branch: master

commit 0ff5d1cdc615a17c3faf4e728f0bce2f5baf5209
Author: ls1175 <email address hidden>
Date: Sat Jan 18 15:16:24 2014 +0800

    replace assertTrue(isinstance) to assertIsInstance

    some of tests use different method of assertTrue(isinstance(A, B))
    or assertEqual(type(A), B). The correct way is to use
    assertIsInstance(A, B) provided by testtools

    Change-Id: Ic3eb7b27dc96b0ec7d786c092fc3a6a513af64f7
    Closes-bug: #1268480

Changed in python-cinderclient:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-04-17
Changed in keystone:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in ceilometer:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in nova:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in horizon:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in glance:
milestone: icehouse-2 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in ironic:
milestone: icehouse-2 → 2014.1

Reviewed: https://review.openstack.org/78542
Committed: https://git.openstack.org/cgit/openstack/python-glanceclient/commit/?id=ab5c5b5d7c214b17b48add9caeaa36a81e3886f5
Submitter: Jenkins
Branch: master

commit ab5c5b5d7c214b17b48add9caeaa36a81e3886f5
Author: wanghong <email address hidden>
Date: Thu Mar 6 16:18:39 2014 +0800

    Change assertTrue(isinstance()) by optimal assert

    assertTrue(isinstance(A, B)) or assertEqual(type(A), B) in tests
    should be replaced by assertIsInstance(A, B) provided by testtools.

    I have searched all the tests, there is only one wrong usage.

    Change-Id: Ib1db1a2dca7b5d8cbfe823973e4b571d0f0925c5
    Closes-bug: #1268480

Changed in python-glanceclient:
status: In Progress → Fix Committed
Louis Taylor (kragniz) on 2014-09-21
Changed in python-glanceclient:
status: Fix Committed → Fix Released
Changed in python-ceilometerclient:
milestone: none → 1.3.0
status: Fix Committed → Fix Released
Changed in python-cinderclient:
milestone: none → 1.3.1
status: Fix Committed → Fix Released
Changed in heat:
assignee: nobody → Bertrand Lallau (bertrand-lallau)
Changed in heat:
status: New → In Progress

Reviewed: https://review.openstack.org/240050
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=acce2b685deba80874abc0b411b0ef6f2401fc92
Submitter: Jenkins
Branch: master

commit acce2b685deba80874abc0b411b0ef6f2401fc92
Author: Bertrand Lallau <email address hidden>
Date: Wed Oct 28 22:17:27 2015 +0100

    Change assertTrue(isinstance()) by optimal assert

    Some of tests use different method of assertTrue(isinstance(A, B)).
    The correct way is to use assertIsInstance(A, B) provided by testtools.

    Closes-bug: #1268480
    Change-Id: I9532fa65a939767e13e0917a77d4698bf74d3ca6

Changed in heat:
status: In Progress → Fix Committed
Changed in heat:
status: Fix Committed → Fix Released
Shuquan Huang (shuquan) on 2015-12-30
Changed in ironic-python-agent:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/262529

Changed in ironic-python-agent:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-30
Changed in tempest:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/262530

Changed in tempest:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-30
Changed in barbican:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/262539

Changed in barbican:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-30
Changed in cloudroast:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/262540

Changed in cinder:
assignee: Liusheng (liusheng) → Shuquan Huang (shuquan)
status: Opinion → In Progress
Shuquan Huang (shuquan) on 2015-12-31
Changed in congress:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/262692

Changed in congress:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-31
Changed in manila:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/262705

Changed in manila:
status: New → In Progress

Reviewed: https://review.openstack.org/262527
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=dd8884123a87abec4005912c7b1c510c0f48a616
Submitter: Jenkins
Branch: master

commit dd8884123a87abec4005912c7b1c510c0f48a616
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 30 22:27:11 2015 +0800

    Change assertTrue(isinstance()) by optimal assert

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.

    Change-Id: I79ae67c2509cfeac6e7c53257dc4f26715fb9012
    Closes-bug: #1268480

Reviewed: https://review.openstack.org/262560
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=f96797a006735f41a61fca9d81bec8b69d6fe33b
Submitter: Jenkins
Branch: master

commit f96797a006735f41a61fca9d81bec8b69d6fe33b
Author: LiuNanke <email address hidden>
Date: Thu Dec 31 00:05:14 2015 +0800

    Replace assertTrue(isinstance()) with assertIsInstance()

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.

    Change-Id: Ib44771be349f359376e35d7673192bc62805b1c2
    Closes-Bug: #1268480

Reviewed: https://review.openstack.org/262983
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=0976a20b41840768163e50dec8edaeafa1ca0209
Submitter: Jenkins
Branch: master

commit 0976a20b41840768163e50dec8edaeafa1ca0209
Author: LiuNanke <email address hidden>
Date: Sun Jan 3 03:34:58 2016 +0800

    Replace assertTrue(isinstance()) with assertIsInstance()

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.
    There has one more place should be modified.

    Change-Id: I751a2fb79857c09952a59e29301bf54ff6482d01
    Closes-bug: #1268480

LiuNanke (nanke-liu) on 2016-01-04
Changed in python-openstacksdk:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress

Reviewed: https://review.openstack.org/262692
Committed: https://git.openstack.org/cgit/openstack/congress/commit/?id=89b6fa066585e1d80a1b5203594f4b696446f62b
Submitter: Jenkins
Branch: master

commit 89b6fa066585e1d80a1b5203594f4b696446f62b
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 31 15:49:57 2015 +0800

    Change assertTrue(isinstance()) by optimal assert

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.

    Change-Id: I17efd64bf4031788f03cf46468b77d7072981620
    Closes-bug: #1268480

Changed in congress:
status: In Progress → Fix Released
Kan (kansks) on 2016-01-05
Changed in python-ironicclient:
assignee: nobody → Kan (kansks)
status: New → In Progress
LiuNanke (nanke-liu) on 2016-01-05
Changed in swift:
assignee: nobody → LiuNanke (nanke-liu)
LiuNanke (nanke-liu) on 2016-01-05
Changed in swift:
status: New → In Progress

Reviewed: https://review.openstack.org/263340
Committed: https://git.openstack.org/cgit/openstack/python-openstacksdk/commit/?id=ec30746047636ae5d29ff284f40913609edd6f70
Submitter: Jenkins
Branch: master

commit ec30746047636ae5d29ff284f40913609edd6f70
Author: LiuNanke <email address hidden>
Date: Tue Jan 5 00:50:08 2016 +0800

    Replace assertTrue(isinstance()) with assertIsInstance()

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.

    Change-Id: I39174c7de67e6e20b9eb0b9f463943f5b9cb6be9
    Closes-bug: #1268480

Changed in python-openstacksdk:
status: In Progress → Fix Released
ZongKai LI (zongkai) on 2016-01-06
Changed in neutron:
assignee: lizheming (lizheming-li) → ZongKai LI (lzklibj)
Changed in python-ironicclient:
status: In Progress → Fix Released
Changed in neutron:
status: Invalid → In Progress
Changed in trove:
assignee: nobody → yapeng Yang (yang-yapeng)
Changed in trove:
status: New → In Progress
Changed in sahara:
assignee: nobody → yapeng Yang (yang-yapeng)
Changed in sahara:
status: New → In Progress
LiuNanke (nanke-liu) on 2016-01-06
Changed in python-manilaclient:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
Changed in sahara:
importance: Undecided → Low
milestone: none → mitaka-2
Jose Idar (jose-idar) on 2016-01-06
Changed in cloudroast:
assignee: Shuquan Huang (shuquan) → Jose Idar (jose-idar)
importance: Undecided → Low
status: New → In Progress
algerwang (wang-weijie) on 2016-01-07
Changed in rally:
assignee: nobody → algerwang (wang-weijie)
Changed in rally:
status: New → In Progress
Changed in manila:
status: In Progress → Fix Released
Craig Vyvial (cp16net) on 2016-01-08
Changed in trove:
importance: Undecided → Low
Changed in trove:
status: In Progress → Fix Released
LiuNanke (nanke-liu) on 2016-01-09
Changed in murano:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
LiuNanke (nanke-liu) on 2016-01-09
Changed in mistral:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
LiuNanke (nanke-liu) on 2016-01-09
Changed in monasca:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
Changed in python-tuskarclient:
assignee: nobody → LiuNanke (nanke-liu)
status: New → In Progress
Changed in python-tuskarclient:
assignee: LiuNanke (nanke-liu) → melissaml (ma-lei)
LiuNanke (nanke-liu) on 2016-01-11
Changed in python-tuskarclient:
assignee: melissaml (ma-lei) → LiuNanke (nanke-liu)
Changed in mistral:
status: In Progress → Fix Released
Changed in sahara:
status: In Progress → Fix Released
Changed in murano:
status: In Progress → Fix Released
Changed in monasca:
status: In Progress → Fix Released
Dmitry Tantsur (divius) on 2016-01-12
Changed in ironic-python-agent:
importance: Undecided → Low
Changed in neutron:
status: In Progress → Fix Released
sumit (er-sksumit) on 2016-01-17
Changed in tuskar:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in python-rackclient:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in python-openstackclient:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in python-heatclient:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
sumit (er-sksumit) on 2016-01-17
Changed in magnum:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in networking-powervm:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Changed in anvil:
assignee: nobody → sumit (er-sksumit)
status: New → In Progress
Dmitry Tantsur (divius) on 2016-01-18
no longer affects: ironic
no longer affects: python-ironicclient
25 comments hidden view all 105 comments

Change abandoned by Nanke_Liu (lnk) (<email address hidden>) on branch: master
Review: https://review.openstack.org/265587

Reviewed: https://review.openstack.org/262539
Committed: https://git.openstack.org/cgit/openstack/barbican/commit/?id=fb1e2317651febf67f27298b61511f3e6b8c9a62
Submitter: Jenkins
Branch: master

commit fb1e2317651febf67f27298b61511f3e6b8c9a62
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 30 23:04:48 2015 +0800

    Change assertTrue(isinstance()) by optimal assert

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.

    Change-Id: I3424d529c568f0a9570a757cc6e85155b0645d4b
    Closes-bug: #1268480

Changed in barbican:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/262529
Committed: https://git.openstack.org/cgit/openstack/ironic-python-agent/commit/?id=fac700c8e76919996b735a5a3760050bfe05e88c
Submitter: Jenkins
Branch: master

commit fac700c8e76919996b735a5a3760050bfe05e88c
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 30 22:38:25 2015 +0800

    Change assertTrue(isinstance()) by optimal assert

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.

    Change-Id: I8e95e10fac4748b115838b6b480f1085da73f28a
    Closes-bug: #1268480

Changed in ironic-python-agent:
status: In Progress → Fix Released
Dougal Matthews (d0ugal) on 2016-01-27
no longer affects: python-tuskarclient
no longer affects: tuskar

This issue was fixed in the openstack/python-ironicclient 1.1.0 release.

Reviewed: https://review.openstack.org/264245
Committed: https://git.openstack.org/cgit/openstack/python-manilaclient/commit/?id=1a9d0b713dd6e4a990d60ab81de9e57cf1845292
Submitter: Jenkins
Branch: master

commit 1a9d0b713dd6e4a990d60ab81de9e57cf1845292
Author: LiuNanke <email address hidden>
Date: Thu Jan 7 00:03:25 2016 +0800

    Replace assertTrue(isinstance()) with assertIsInstance()

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.
    There has one more place should be modified.
    Closes-bug: #1268480

    Change-Id: I05d1b75289e193a32bd4d0ba0557af3fad686880

Changed in python-manilaclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-solumclient 2.0.0 release.

sumit (er-sksumit) on 2016-03-07
Changed in python-openstackclient:
status: In Progress → Fix Committed
sumit (er-sksumit) on 2016-03-07
no longer affects: magnum
sumit (er-sksumit) on 2016-03-07
Changed in python-heatclient:
status: In Progress → Fix Committed
Changed in anvil:
status: In Progress → Fix Committed
Changed in python-rackclient:
status: In Progress → Fix Committed
Changed in networking-powervm:
status: In Progress → Fix Released
Changed in tempest:
assignee: Shuquan Huang (shuquan) → Jordan Pittier (jordan-pittier)

Reviewed: https://review.openstack.org/262530
Committed: https://git.openstack.org/cgit/openstack/tempest/commit/?id=29e9cab8c2a4507aaccae5804cba21400200f9ce
Submitter: Jenkins
Branch: master

commit 29e9cab8c2a4507aaccae5804cba21400200f9ce
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 30 22:43:49 2015 +0800

    Change assertTrue(isinstance()) by optimal assert

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.

    Change-Id: Ie98c1aec65281fa1784070ce76e472caca7cfc47
    Closes-bug: #1268480

Changed in tempest:
status: In Progress → Fix Released
Dmitry Tantsur (divius) on 2016-04-10
no longer affects: ironic-python-agent
Sharat Sharma (sharat-sharma) wrote :
Changed in vitrage:
assignee: nobody → Sharat Sharma (sharat-sharma)
status: New → In Progress
Sharat Sharma (sharat-sharma) wrote :

there are no such occurances.

Changed in anvil:
status: Fix Committed → Invalid
Sharat Sharma (sharat-sharma) wrote :

No such occurances

Changed in python-heatclient:
status: Fix Committed → Invalid
Changed in zaqar:
assignee: nobody → Sharat Sharma (sharat-sharma)

Fix proposed to branch: master
Review: https://review.openstack.org/315474

Changed in zaqar:
status: New → In Progress

Reviewed: https://review.openstack.org/315397
Committed: https://git.openstack.org/cgit/openstack/vitrage/commit/?id=a3aeb31a63092569c4b2e465009fd99db8755ac4
Submitter: Jenkins
Branch: master

commit a3aeb31a63092569c4b2e465009fd99db8755ac4
Author: sharat.sharma <email address hidden>
Date: Thu May 12 13:37:17 2016 +0530

    Changed assertTrue(isinstance) to assertIsInstance()

    Change-Id: I87fb09fb56ed886cb7d2a398e5c719b7f381ce80
    Closes-Bug: #1268480

Changed in vitrage:
status: In Progress → Fix Released
Changed in python-openstackclient:
status: Fix Committed → Invalid
Changed in python-rackclient:
status: Fix Committed → Invalid
Changed in swift:
assignee: LiuNanke (nanke-liu) → Sharat Sharma (sharat-sharma)
Changed in cloudroast:
assignee: Jose Idar (jose-idar) → Sharat Sharma (sharat-sharma)

Reviewed: https://review.openstack.org/315474
Committed: https://git.openstack.org/cgit/openstack/zaqar/commit/?id=d744f813a0509d91d230a3260f4d1dcb7fed8c0f
Submitter: Jenkins
Branch: master

commit d744f813a0509d91d230a3260f4d1dcb7fed8c0f
Author: sharat.sharma <email address hidden>
Date: Thu May 12 16:18:15 2016 +0530

    Changed assertTrue(isinstance()) to assertIsInstance.

    Change-Id: I0cb3e994ce813ceedaad91d441c20e7e67946c39
    Closes-Bug: #1268480

Changed in zaqar:
status: In Progress → Fix Released

This issue was fixed in the openstack/zaqar 3.0.0.0b1 development milestone.

Reviewed: https://review.openstack.org/265583
Committed: https://git.openstack.org/cgit/openstack/python-cinderclient/commit/?id=c297309aff29df550633ab956b99bb3d74c7f43c
Submitter: Jenkins
Branch: master

commit c297309aff29df550633ab956b99bb3d74c7f43c
Author: LiuNanke <email address hidden>
Date: Sun Jan 10 03:18:08 2016 +0800

    Replace assertTrue(isinstance()) by optimal assert

    assertTrue(isinstance(A, B)) or assertEqual(type(A), B) in tests
    should be replaced by assertIsInstance(A, B) provided by testtools.
    Related-bug: #1268480

    Change-Id: I755702d0f6e982d7cba173fbbdb86feb8ab384a0

Change abandoned by Julien Danjou (<email address hidden>) on branch: master
Review: https://review.openstack.org/284433
Reason: This should go in hacking.

Change abandoned by Nanke_Liu (lnk) (<email address hidden>) on branch: master
Review: https://review.openstack.org/263742

Change abandoned by Sean McGinnis (<email address hidden>) on branch: master
Review: https://review.openstack.org/262540
Reason: Review comments not addressed for a very long time. Feel free to restore if comments are addressed.

Sean McGinnis (sean-mcginnis) wrote :

Closing for Cinder since these instances are addressed from time to time and it's somewhat an ongoing thing. Not really a bug as this is not a failure an end user will run in to on an actual deployment.

Changed in cinder:
status: In Progress → Invalid
Changed in swift:
assignee: Sharat Sharma (sharat-sharma) → nobody
status: In Progress → New
Changed in cloudroast:
assignee: Sharat Sharma (sharat-sharma) → nobody
status: In Progress → New

Change abandoned by Sharat Sharma (<email address hidden>) on branch: master
Review: https://review.openstack.org/378614

M V P Nitesh (m-nitesh) on 2017-06-05
Changed in cloudroast:
assignee: nobody → M V P Nitesh (m-nitesh)
M V P Nitesh (m-nitesh) on 2017-06-05
Changed in swift:
assignee: nobody → M V P Nitesh (m-nitesh)

Reviewed: https://review.openstack.org/470811
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=8fcd12a65a681ed987eb83becb5e92f22266da32
Submitter: Jenkins
Branch: master

commit 8fcd12a65a681ed987eb83becb5e92f22266da32
Author: Luong Anh Tuan <email address hidden>
Date: Mon Jun 5 16:25:59 2017 +0700

    Replace assertTrue(isinstance()) with assertIsInstance()

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.

    Change-Id: I53a368ddb6b0b810e85eaedf42bc05e729a0e511
    Closes-Bug: #1268480

Changed in cinder:
status: Invalid → Fix Released

Reviewed: https://review.openstack.org/470821
Committed: https://git.openstack.org/cgit/openstack/vitrage/commit/?id=587e57ee074defe32ca96ddbc0821aee1a8a520f
Submitter: Jenkins
Branch: master

commit 587e57ee074defe32ca96ddbc0821aee1a8a520f
Author: Luong Anh Tuan <email address hidden>
Date: Mon Jun 5 16:51:04 2017 +0700

    Replace assertTrue(isinstance()) with assertIsInstance()

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.

    Change-Id: Iaa75637fd19fa932eb959a95afac263e3f07b99b
    Closes-Bug: #1268480

This issue was fixed in the openstack/cinder 11.0.0.0b2 development milestone.

M V P Nitesh (m-nitesh) on 2017-06-08
Changed in swift:
assignee: M V P Nitesh (m-nitesh) → nobody

Fix proposed to branch: master
Review: https://review.openstack.org/472237

Changed in cloudroast:
status: New → In Progress

This issue was fixed in the openstack/keystoneauth 2.21.0 release.

This issue was fixed in the openstack/senlin 4.0.0.0b2 development milestone.

This issue was fixed in the openstack/vitrage 1.6.0 release.

Reviewed: https://review.openstack.org/470813
Committed: https://git.openstack.org/cgit/openstack/neutron-lib/commit/?id=441e88724969690ce897b8377ec4040021af63a1
Submitter: Jenkins
Branch: master

commit 441e88724969690ce897b8377ec4040021af63a1
Author: Luong Anh Tuan <email address hidden>
Date: Mon Jun 5 16:37:29 2017 +0700

    Replace assertTrue(isinstance()) with assertIsInstance()

    Some of tests use different method of assertTrue(isinstance(A, B)) or
    assertEqual(type(A), B). The correct way is to use assertIsInstance(A,
    B) provided by testtools.

    Change-Id: I4295e71300387ea80fbe8e1fca7a1c7ce344d4b3
    Closes-Bug: #1268480

This issue was fixed in the openstack/neutron-lib 1.8.0 release.

This issue was fixed in the openstack/sushy 1.0.0 release.

This issue was fixed in the openstack/python-magnumclient 2.7.0 release.

This issue was fixed in the openstack/ironic 9.0.0 release.

Change abandoned by Boris Pavlovic (<email address hidden>) on branch: master
Review: https://review.openstack.org/264623

This issue was fixed in the openstack/syntribos 0.4.0 release.

This issue was fixed in the openstack/syntribos 0.5.0 release.

Displaying first 40 and last 40 comments. View all 105 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers